Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.latex
Class LatexFormatter.DrawingFormatter

    java.lang.Object
      jpicedt.format.output.latex.LatexFormatter.DrawingFormatter

All Implemented Interfaces:
  Formatter

Direct Known Subclasses:
  EepicFormatter.DrawingFormatter

Enclosing class:
  LatexFormatter

public class LatexFormatter.DrawingFormatter
extends Object
implements Formatter

Field Summary
`protected Drawing` | `drawing` the Drawing this formater acts upon
`protected Object` | `outputConstraint`

Constructor Summary
`LatexFormatter.DrawingFormatter(Drawing drawing, Object outputConstraint)` init this formater for the given drawing

Method Summary
`protected String` | `createHeader()`
`String` | `format()` Create a String representing an Element in the format of this formatter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### drawing

    protected Drawing drawing

  the Drawing this formater acts upon

### outputConstraint

    protected Object outputConstraint

Constructor Detail

### LatexFormatter.DrawingFormatter

    public LatexFormatter.DrawingFormatter(Drawing drawing,
                                           Object outputConstraint)

  init this formater for the given drawing

Method Detail

### createHeader

    protected String createHeader()

  Returns:
    the content-type specific header

### format

    public String format()

  Description copied from interface: `Formatter`
  Create a String representing an Element in the format of this formatter

  Specified by:
    `format` in interface `Formatter`
  Returns:
    a String representing this Drawing in the LaTeX/eepic or PsTricks format, depending on the state of the global Options.formaterMode variable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org